/* Pomocny program pracujici s priponami
   *************************************
   1.12.93                    Petr Olsak

   Program se vola aspon s jednim parametrem.
   Tyto parametry (prvni MAIN, pripadne druhy WORK) predstavuji nazvy
   souboru a mohou a nemusi obsahovat priponu. Program vygeneruje na
   standardni vystup davku, po jejiz zavolani mame v promennych MAIN a
   WORK prvni resp. druhy parametr BEZ PRIPONY a v promennych MAINF a WORKF
   prvni resp. druhy parametr S PRIPONOU (nebyla-li uvedena, doplni se
   pripona .tex).
   Rozumne volani programu je:
      fix %MAIN% %WORK% > pom.bat
      call pom.bat
   Program nenastavuje hodnoty MAIN a WORK pouze v pripade, ze
   parametry byly bez pripony (predpoklada, ze tyto promenne uz jsou
   nastaveny). V pripade, ze je program volan jen s jednim parametrem,
   program nastavi WORK=MAIN a WORKF=MAINF.
*/

# include <io.h>
# include <fcntl.h>
# include <string.h>

char Main[17], Work[17], Mainfix[17], Workfix[17];

void test (s, d, fix)
  char *s, *d, *fix;
{
  register int i = 0, t = 0;
  while (s[i]) if (s[i++] == '.') t = i;
  if (t == 0) { d[0] = 0; strcpy (fix, s); strcat (fix, ".tex"); return; }
  strcpy (fix, s); strcpy (d, s); d[t-1] = 0;  return;
}


int main (argc, argv)
  int argc;
  char *argv[];
{
  if (argc < 2)
    return printf ("rem : program need one or two parameters\n"), 0;
  test(argv[1], Main, Mainfix),  test(argv[2], Work, Workfix);
  printf ("set MAINF=%s\n", Mainfix);
  if (argc > 2) printf ("set WORKF=%s\n", Workfix);
  if (Main[0])  printf ("set MAIN=%s\n", Main);
  if (Work[0])  printf ("set WORK=%s\n", Work);
  if (argc == 2) printf ("set WORK=\%MAIN\%\nset WORKF=\%MAINF\%\n");
  return 0;
}
